%{!?python_sitelib: %define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global momorel 3

Summary: Creates a common metadata repository
Name: createrepo
Version: 0.9.7
Release: %{momorel}m%{?dist}
License: GPLv2+
Group: System Environment/Base
Source: http://linux.duke.edu/createrepo/download/%{name}-%{version}.tar.gz
NoSource: 0
URL: http://createrepo.baseurl.org/
Patch0: createrepo-0.9.1-lib64.patch
Patch1: createrepo-head.patch
Patch10: readMetadata_for_ext4.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArchitectures: noarch
Requires: python >= 2.1, rpm-python, rpm >= 0:4.1.1, libxml2-python
Requires: yum >= 3.2.20, yum-metadata-parser

%description
This utility will generate a common metadata repository from a directory of
rpm packages

%prep
%setup -q
%if %{_lib} == "lib64"
%patch0 -p1 -b .lib64~
%endif

%patch1 -p1 -b .head

%patch10 -p1 -b .ext4

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}


%files
%defattr(-, root, root)
%dir %{_datadir}/%{name}
%doc ChangeLog README COPYING COPYING.lib
%{_datadir}/%{name}/*
%{_bindir}/%{name}
%{_bindir}/mergerepo
%{_bindir}/modifyrepo
%{_mandir}/man8/createrepo.8*
%{_mandir}/man1/mergerepo.1*
%{_mandir}/man1/modifyrepo.1*
##%%{python_sitelib}/createrepo/
%{_libdir}/python*/site-packages//createrepo/

%changelog
* Mon Jun 22 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.7-3m)
- add readMetadata_for_ext4.patch.
-- support --update option on ext4 filesystem
-- thanks h_nakamura 

* Fri May 15 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.7-2m)
- update createrepo-head.patch. from fedora 0_9_7-7

* Sat Apr 18 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.7-1m)
- update to 0.9.7

* Sat Mar  7 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.6-3m)
- add upstream patch

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.6-2m)
- rebuild against rpm-4.6

* Mon Jan 12 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.6-1m)
- update to 0.9.6-1m
-- drop Patch1, merged upstream
- License: GPLv2+
- change URL

* Wed Dec 31 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.9.5-3m)
- rebuild agaisst python-2.6.1-1m

* Tue Oct 28 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.9.5-2m)
- import a bug fix from upstream
-- see https://bugzilla.redhat.com/show_bug.cgi?id=446040

* Sun Apr 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.5-1m)
- update 0.9.5

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.4-2m)
- rebuild against gcc43

* Thu Jan 31 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.4-1m)
- update 0.9.4

* Thu Jan 23 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.3-1m)
- update 0.9.3

* Fri Jan 18 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.2-1m)
- update 0.9.2

* Thu Jan 10 2008 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.9.1-2m)
- add lib64 patch

* Thu Jan 10 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.1-1m)
- update 0.9.1

* Fri Nov 30 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4.11-1m)
- update 0.4.11

* Sat Jun  9 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4.10-1m)
- update 0.4.10

* Sat May 19 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4.9-1m)
- update 0.4.9

* Thu Feb 15 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4.8-1m)
- update 0.4.8

* Tue Feb 12 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4.7-1m)
- update 0.4.7

* Wed Dec 13 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4.6-1m)
- update 0.4.6

* Wed May 03 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4.4-1m)
- update 0.4.4

* Sat Feb 26 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (0.4.2-3m)
- import from rawhide

* Tue Jan 18 2005 Jeremy Katz <katzj@redhat.com> - 0.4.2-2
- add the manpage

* Tue Jan 18 2005 Jeremy Katz <katzj@redhat.com> - 0.4.2-1
- 0.4.2

* Thu Oct 21 2004 Paul Nasrat <pnasrat@redhat.com>
- 0.4.1, fixes #136613
- matched ghosts not being added into primary.xml files

* Mon Oct 18 2004 Bill Nottingham <notting@redhat.com>
- 0.4.0, fixes #134776

* Thu Sep 30 2004 Paul Nasrat <pnasrat@redhat.com>
- Rebuild new upstream release - 0.3.9

* Thu Sep 30 2004 Seth Vidal <skvidal@phy.duke.edu>
- 0.3.9
- fix for groups checksum creation

* Sat Sep 11 2004 Seth Vidal <skvidal@phy.duke.edu>
- 0.3.8

* Wed Sep  1 2004 Seth Vidal <skvidal@phy.duke.edu>
- 0.3.7

* Fri Jul 23 2004 Seth Vidal <skvidal@phy.duke.edu>
- make filelists right <sigh>


* Fri Jul 23 2004 Seth Vidal <skvidal@phy.duke.edu>
- fix for broken filelists

* Mon Jul 19 2004 Seth Vidal <skvidal@phy.duke.edu>
- re-enable groups
- update num to 0.3.4

* Tue Jun  8 2004 Seth Vidal <skvidal@phy.duke.edu>
- update to the format
- versioned deps
- package counts
- uncompressed checksum in repomd.xml


* Fri Apr 16 2004 Seth Vidal <skvidal@phy.duke.edu>
- 0.3.2 - small addition of -p flag

* Sun Jan 18 2004 Seth Vidal <skvidal@phy.duke.edu>
- I'm an idiot

* Sun Jan 18 2004 Seth Vidal <skvidal@phy.duke.edu>
- 0.3

* Tue Jan 13 2004 Seth Vidal <skvidal@phy.duke.edu>
- 0.2 - 

* Sat Jan 10 2004 Seth Vidal <skvidal@phy.duke.edu>
- first packaging

